# WinUIEx

A set of extension methods and classes to fill some gaps in WinUI 3, mostly around windowing and unit testing.

### NuGet Packages:

  - [WinUIEX](https://www.nuget.org/packages/WinUIEx/)
  - [WinUIEX.TestTools](https://www.nuget.org/packages/WinUIEx.TestTools/)
  - [WinUIEX.TestTools.MSTest](https://www.nuget.org/packages/WinUIEx.TestTools.MSTest/)

### Features

  - [Window Extension methods](concepts/WindowExtensions.md)
  - [HWND Window Handle Extensions methods](concepts/HwndExtensions.md)
  - [Extended `WindowEx` Window class](concepts/WindowEx.md)
  - [UI Test Tooling for easy UI Testing](concepts/UITests.md)
  - [Splash screen](concepts/Splashscreen.md)
  - [OAuth Web Authenticator](concepts/WebAuthenticator.md)

And more to come...

## Sponsoring

If you like WinUIEx and use it a lot, consider sponsoring me. Anything helps and encourages me to keep going.

See here for details: https://github.com/sponsors/dotMorten


## Getting started:

Read the [Overview](concepts/index.md) notes


![image](https://user-images.githubusercontent.com/1378165/108465563-1e2d8700-7237-11eb-8eb4-736644606a64.png)

